<configuration>
<system.webServer>
    <rewrite> <rules><rule name="Main Rule" stopProcessing="true">  <match url=".*" />   <conditions logicalGrouping="MatchAll">  <add input="{REQUEST_FILENAME}" matchType="IsFile" negate="true" />  <add input="{REQUEST_FILENAME}" matchType="IsDirectory" negate="true" />  </conditions>  <action type="Rewrite" url="/" />  </rule>   <rule name="HTTP_TO_HTTPS" enabled="false" stopProcessing="true">  <match url="(.*)" />    <conditions>  <add input="{HTTPS}" pattern="^OFF$" />  </conditions>    <action type="Redirect" url="https://{HTTP_HOST}/{R:1}" />   </rule>     </rules> </rewrite> <httpProtocol>   <customHeaders>    <add name="x-frame-options" value="SAMEORIGIN" />   </customHeaders>  </httpProtocol>
</system.webServer>
</configuration>